--[[ cLayout v2.0.2 by cralor
    * Square minimap (optional)
    * Mouseover-over zone text (optional)
    * Larger buffs
    * Larger party frames
    * Draggable party frames (1st party member frame)
    * Player and target frames moved (lower center)
    * Minimap moved (bottom left)
    * Some minimap buttons hidden
    * Scrollable zooming of minimap
    * Config some of the addon's actions
]]
local cLayout = CreateFrame("frame")

local minimapShape

--CONFIG START
local MOUSEOVER = false --Change to 'true' if you want the minimap zone text to show only on mouseover
local SQUARE = true --Change to 'false' if you do not want a square minimap
local BUTTONS = true --Will hide select minimap buttons (see below) if set to 'true'
local MM_SCALE = 1.2 --Scale of minimap
local BUFF_SCALE = 1.5 --Scale of buffs
local PARTY_SCALE = 1.2 --Scale of party frames
local HNS = true --Hide "N" (north) symbol?
--CONFIG END

if MOUSEOVER == true then
    Minimap:SetScript("OnEnter", function() MinimapZoneTextButton:Show() end)
    Minimap:SetScript("OnLeave", function() MinimapZoneTextButton:Hide() end)
end
if SQUARE == true then
    minimapShape = "SQUARE"
    MinimapBorder:SetTexture("Interface\\AddOns\\cLayout\\Art\\Border.tga") --Adds the square texture
    MinimapBorderTop:SetTexture("Interface\\AddOns\\cLayout\\Art\\Border.tga")
    Minimap:SetMaskTexture("Interface\\ChatFrame\\ChatFrameBackground") --Makes the minimap square
    cLayout:SetParent(Minimap)
    cLayout:SetFrameLevel(1)
    cLayout:SetAllPoints(Minimap)
end
   
--minimap changes
    MinimapCluster:ClearAllPoints()
    MinimapCluster:SetPoint("BOTTOMLEFT", UIParent, -5, -10)--(x,y) --Move the minimap
    MinimapCluster:SetScale(MM_SCALE) --Make the minimap larger

    MinimapZoneTextButton:SetPoint("TOP", Minimap, 0, 20) --Manage the zone text
if HNS == true then
    MinimapNorthTag:SetAlpha(0) --Hide the "N" symbol
end
    Minimap:EnableMouseWheel(true) --Allows zoom scrolling
    Minimap:SetScript("OnMouseWheel", function(_, zoom)
        if zoom > 0 then
            Minimap_ZoomIn()
        else
            Minimap_ZoomOut()
        end
    end)
    
    if BUTTONS == true then
        local frames = { --Hide some minimap buttons
            MinimapZoomIn, --Zoom in (+)
            MinimapZoomOut, --Zoom out (-)
            MinimapToggleButton, --Show/hide "X" button
            MinimapBorderTop, --Background zone text
            MiniMapWorldMapButton, --World map button
        }

        for _, frame in pairs(frames) do
            frame:Hide()
        end
        frames = nil
    end

    function GetMinimapShape() --Makes minimap buttons know that the minimap is square
        return minimapShape
    end

--frame changes
    BuffFrame:SetScale(BUFF_SCALE) --Make buffs larger
    TemporaryEnchantFrame:SetScale(BUFF_SCALE)

    PlayerFrame:ClearAllPoints()
    PlayerFrame:SetPoint("CENTER", UIParent, "CENTER", -250, -300)  --Move the player frame

    TargetFrame:ClearAllPoints()
    TargetFrame:SetPoint("CENTER", UIParent, "CENTER", 250, -300) --Move the target frame

    PartyMemberFrame1:ClearAllPoints()
    PartyMemberFrame2:ClearAllPoints()
    PartyMemberFrame3:ClearAllPoints()
    PartyMemberFrame4:ClearAllPoints()
    PartyMemberFrame1:SetPoint("LEFT", UIParent, "LEFT", 5, 50) --Move the party frames
    PartyMemberFrame1:SetMovable(true) --Draggable movement
    PartyMemberFrame1:EnableMouse(true)
    PartyMemberFrame1:SetUserPlaced(true)
    PartyMemberFrame1:SetScript("OnMouseDown",function(self)
    self:StartMoving()
    end)
    PartyMemberFrame1:SetScript("OnMouseUp",function(self)
    self:StopMovingOrSizing()
    end)
    PartyMemberFrame2:SetPoint("BOTTOM", PartyMemberFrame1, "BOTTOM", 0, -50)
    PartyMemberFrame3:SetPoint("BOTTOM", PartyMemberFrame2, "BOTTOM", 0, -50)
    PartyMemberFrame4:SetPoint("BOTTOM", PartyMemberFrame3, "BOTTOM", 0, -50)
    PartyMemberFrame1:SetScale(PARTY_SCALE) --Make the party frames larger
    PartyMemberFrame2:SetScale(PARTY_SCALE)
    PartyMemberFrame3:SetScale(PARTY_SCALE)
    PartyMemberFrame4:SetScale(PARTY_SCALE)

SlashCmdList["CLAYOUT"] = function(msg)
    cLayout_SlashHandler(string.lower(msg));
end

SLASH_CLAYOUT1 = "/clayout"
SLASH_CLAYOUT2 = "/cl"

function cLayout_SlashHandler(msg)
    if (string.find(msg, "reset")) then
        PlayerFrame:ClearAllPoints()
        PlayerFrame:SetPoint("CENTER", UIParent, "CENTER", -250, -300)

        TargetFrame:ClearAllPoints()
        TargetFrame:SetPoint("CENTER", UIParent, "CENTER", 250, -300)
    else
        DEFAULT_CHAT_FRAME:AddMessage("Type '/cl reset' to reset the Player and Target frame positions.")
    end
end
    